
Gisaf - Feature #6591

Make gisaf generic: remove artifacts

09/09/2018 16:08 - Philippe May

Status: Closed Start date: 09/09/2018

Priority: Normal Due date:  

Assignee: Philippe May % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

Quite a generic ticket to make Gisaf a true portable application.

Associated revisions

Revision 45deac5c - 12/11/2018 12:14 - Philippe May

Refs #6591: remove models from the software repo (moved to another package: gisaf_avsm_extras)

Revision fb0b7170 - 12/11/2018 17:11 - Philippe May

Refs #6591: define DB schema for survey data in the config file

History

#1 - 09/09/2018 16:13 - Philippe May

It includes transforming model definitions to python packages.

Also, find some files (models) using:

cd gisaf_srv/gisaf

grep -sr --include '*py' avsm

#2 - 12/11/2018 17:12 - Philippe May

- Status changed from New to Closed

Solved mainly with the introduction of plugin system through setuptools' entry points
